Bug 836708 - Review Request: sugar-locosugar - a game for discovering how to use the mouse and keyboard
Review Request: sugar-locosugar - a game for discovering how to use the mouse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 03:54 EDT by Kalpa Welivitigoda
Modified: 2013-06-05 21:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: sugar-locosugar-11-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 23:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dcallagh: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalpa Welivitigoda 2012-06-30 03:54:37 EDT
Spec URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar-3-1.fc17.src.rpm
Description:

sugar-locosugar is an activity for sugar which enables the users to discover how to use mouse and keyboard through a series of games.
Comment 1 Dan Callaghan 2012-07-01 08:15:22 EDT
(In reply to comment #0)
> Spec URL:
> http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar.spec

I think you might have uploaded the .spec to fedorapeople.org with wrong permissions or selinux context, because it is giving me a 403 error. I will proceed with this review based on sugar-locosugar.spec extracted from the SRPM.
Comment 2 Dan Callaghan 2012-07-01 08:35:06 EDT
A couple of issues at the bottom.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint sugar-locosugar-3-1.fc18.noarch.rpm

sugar-locosugar.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sugar-locosugar-3-1.fc18.src.rpm

sugar-locosugar.src: W: non-standard-group Sugar/Activities
sugar-locosugar.src: W: strange-permission sugar-locosugar.spec 0600L
sugar-locosugar.src:32: W: macro-in-comment %find_lang
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/dan/fedora/reviews/836708/LocoSugar-3.tar.bz2 :
  MD5SUM this package     : 417443c5a2136f693b52d395089aea46
  MD5SUM upstream package : 417443c5a2136f693b52d395089aea46

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
Remove %defattr if not targetting EPEL5.
[!]: MUST License field in the package spec file matches the actual license.
License should be "GPLv3+ and LGPLv2.1+ and MIT". sprites.py (another copy..!) is under MIT, play_audio.py is under LGPLv2.1+.
[!]: MUST Rpmlint output is silent.
Remove the commented-out locale bits from the spec. Non-standard group and tarball permissions are fine.

rpmlint sugar-locosugar-3-1.fc18.noarch.rpm

sugar-locosugar.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sugar-locosugar-3-1.fc18.src.rpm

sugar-locosugar.src: W: non-standard-group Sugar/Activities
sugar-locosugar.src: W: strange-permission sugar-locosugar.spec 0600L
sugar-locosugar.src:32: W: macro-in-comment %find_lang
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
Same issue with /usr/bin/env as bug 823234 and bug 823236.


Generated by fedora-review 0.1.3
External plugins:
Comment 3 Kalpa Welivitigoda 2012-07-02 23:49:01 EDT
Let's just ignore the issue the same way in https://bugzilla.redhat.com/show_bug.cgi?id=823234
Comment 4 Dan Callaghan 2012-07-10 20:43:15 EDT
Agreed. Kalpa, can you please fix the other issues mentioned and then I can approve this.
Comment 5 Kalpa Welivitigoda 2012-07-12 12:20:06 EDT
Dan, I fixed the other issues, please find the new files below,

Spec URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar-3-2.fc17.src.rpm
Comment 6 Dan Callaghan 2012-07-12 19:13:03 EDT
One tiny issue left with rpmlint output:

sugar-locosugar.noarch: W: invalid-license LGPLv2.1+

According to this table:

http://fedoraproject.org/wiki/Licensing#SoftwareLicenses

the correct short name for LGPL v2.1 or greater is actually "LGPLv2+". I got it wrong in comment 2, sorry about that.
Comment 7 Kalpa Welivitigoda 2012-07-13 11:34:19 EDT
sorry I also didn't run rpmlint earlier.

Here are the new files and the permission issue is also fixed

Spec URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar-3-3.fc17.src.rpm
Comment 8 Dan Callaghan 2012-07-15 19:36:53 EDT
Looks good Kalpa. :-)

This package is APPROVED.
Comment 9 Kalpa Welivitigoda 2012-07-18 11:54:35 EDT
Thanks Dan
Comment 10 Kalpa Welivitigoda 2012-07-18 11:56:01 EDT
New Package SCM Request
=======================
Package Name: sugar-locosugar
Short Description: A game for discovering how to use the mouse and keyboard
Owners: callkalpa
Branches: f16 f17
InitialCC:
Comment 11 Dan Callaghan 2013-05-13 03:14:01 EDT
Kalpa, are you still interested in this package?
Comment 12 Kalpa Welivitigoda 2013-05-14 14:54:05 EDT
Hi Dan,

yes I'm interested. I get the following error.

$ clear; fedpkg clone sugar-locosugar

Cloning into 'sugar-locosugar'...
R access for sugar-locosugar DENIED to callkalpa
(Or there may be no repository at the given path. Did you spell it correctly?)
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Could not execute clone: Command '['git', 'clone', 'ssh://callkalpa@pkgs.fedoraproject.org/sugar-locosugar']' returned non-zero exit status 128

I'll look into this and try to get this fixed.
Comment 13 Kalpa Welivitigoda 2013-05-17 14:24:45 EDT
Seems git is not done. Meantime there is a new release of LocoSugar. Here are the new files

Spec URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-locosugar/sugar-locosugar-9-1.fc18.src.rpm
Comment 14 Dan Callaghan 2013-05-20 21:46:42 EDT
Oh, I just noticed the problem... Kalpa, you set the fedora-cvs flag to +, whereas it needs to be ? for git scripts to notice it. I am setting the flag back to ? now.
Comment 15 Jon Ciesla 2013-05-21 07:01:56 EDT
Git done (by process-git-requests).
Comment 16 Kalpa Welivitigoda 2013-05-21 08:03:51 EDT
oops Thanks Dan
Comment 17 Fedora Update System 2013-05-21 08:38:07 EDT
sugar-locosugar-9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-locosugar-9-1.fc18
Comment 18 Fedora Update System 2013-05-21 08:38:21 EDT
sugar-locosugar-9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-locosugar-9-1.fc19
Comment 19 Fedora Update System 2013-05-21 08:38:34 EDT
sugar-locosugar-9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-locosugar-9-1.fc17
Comment 20 Fedora Update System 2013-05-21 13:19:39 EDT
sugar-locosugar-9-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 21 Fedora Update System 2013-05-27 09:05:37 EDT
sugar-locosugar-11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-locosugar-11-1.fc19
Comment 22 Fedora Update System 2013-05-27 09:05:51 EDT
sugar-locosugar-11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-locosugar-11-1.fc18
Comment 23 Fedora Update System 2013-05-27 09:06:00 EDT
sugar-locosugar-11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-locosugar-11-1.fc17
Comment 24 Fedora Update System 2013-06-04 23:20:13 EDT
sugar-locosugar-11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-06-05 21:27:24 EDT
sugar-locosugar-11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-06-05 21:31:42 EDT
sugar-locosugar-11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.